%define modname cryptography-vectors
%define pymodname cryptography_vectors

Name:               python-%{modname}
Version:            36.0.1
Release:            %mkrel 1
Summary:            Test vectors for the cryptography package
Group:              Development/Python
License:            ASL 2.0 or BSD
URL:                http://pypi.python.org/pypi/cryptography-vectors
Source0:            %{pymodname}-%{version}.tar.xz
BuildArch:          noarch

%description
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%package -n python3-%{modname}
Group:      Development/Python
Summary:    Test vectors for the cryptography package
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%prep
%setup -q -n %{pymodname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
%py3_build


%install
%py3_install

%files -n python3-%{modname}
%doc LICENSE
%{python3_sitelib}/%{pymodname}/
%{python3_sitelib}/%{pymodname}-%{version}*



%changelog
* Sun Mar 13 2022 TerryN <terryn94 at gmail.com>  36.0.1-1pclos2022
- update and rebuild for python 3.10

* Tue Dec 03 2019 tex - 2.4.2-2pclos2019
- rebuild against updates

* Sun Feb 03 2019 tex 2.4.2-1pclos2019
- created
